#ifndef UTILS_H
#define UTILS_H

#include <string>
#include "rgbe.h"
using namespace std;

//gibt RGB-Float-Picture (3*32Bit * xres*yres) zurck und belegt xres bzw. yres mit der Picture-Gre
float* LoadHDRI(const char *filename, int &xres, int &yres);

void SaveHDRI(const char *filename, int xres, int yres, float* data);

//gibt XYZ-Float-Array (face_point_coords; 3*32Bit * 3 * num_faces) und UV-Float-Array (face_tex_coords; 2*32Bit * 3 * num_faces) zurck und belegt num_faces
void LoadRAWTriangles(const char *filename, float* &face_point_coords, float* &face_tex_coords, long &num_faces);

//gibt XYZ-Float-Array (3*32Bit * 4*4 * num_bezierPatches) zurck und belegt num_bezierPatches
float* LoadRAW4x4BezierPatches(const char *filename, long &num_bezierPatches);

//ldt .LIT Datei (filename)
//liefert Anzahl der (Punkt-)Lichtquellen (num_lits)
//und Arrays mit den (x,y,z)-Positionen (lit_pos) und (r,g,b)-Farbwerten (lit_rgb)
void loadLIT(const char *filename, int &num_lits, float* &lit_pos, float* &lit_rgb);

#endif
